package cpcns.danganzhengli.mdb_wenjian.service.impl;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.baoguanqixiancelue.model.GQuanZongWeiHu;
import cpcns.base.common.User;
import cpcns.base.configuration.AppConfiguration;
import cpcns.base.generic.ResultMessage;
import cpcns.common.service.ICommonService;
import cpcns.danganzhengli.mdb_wenjian.dao.MDBDao;
import cpcns.danganzhengli.mdb_wenjian.dao.MDBWenJianDao;
import cpcns.danganzhengli.mdb_wenjian.dao.MDBWenJianFuJianDao;
import cpcns.danganzhengli.mdb_wenjian.service.MdbService;
import cpcns.mdbModel.MDBWenJian;
import cpcns.mdbModel.MDBWenJianFuJian;
import cpcns.utils.FtpConfig;
import cpcns.utils.FtpUtil;
import cpcns.utils.Json;
import cpcns.utils.StringUtil;
import cpcns.utils.TifToPdf;
import cpcns.utils.Word2Pdf;
import cpcns.wenjianshouji.model.ZWenJian;
import cpcns.wenjianshouji.model.ZWenJianFuJian;
import java.io.File;
import java.io.IOException;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.commons.lang3.StringUtils;
import org.apache.poi.ss.formula.functions.T;

public class MdbServiceImpl implements MdbService {
  private MDBWenJianDao mdbWenJianDao;
  
  private MDBWenJianFuJianDao mdbWenJianFuJianDao;
  
  private ICommonService<T> commonService;
  
  private MDBDao mdbDao;
  
  public MDBWenJianDao getMdbWenJianDao() {
    return this.mdbWenJianDao;
  }
  
  public void setMdbWenJianDao(MDBWenJianDao mdbWenJianDao) {
    this.mdbWenJianDao = mdbWenJianDao;
  }
  
  public MDBWenJianFuJianDao getMdbWenJianFuJianDao() {
    return this.mdbWenJianFuJianDao;
  }
  
  public void setMdbWenJianFuJianDao(MDBWenJianFuJianDao mdbWenJianFuJianDao) {
    this.mdbWenJianFuJianDao = mdbWenJianFuJianDao;
  }
  
  public ICommonService<T> getCommonService() {
    return this.commonService;
  }
  
  public void setCommonService(ICommonService<T> commonService) {
    this.commonService = commonService;
  }
  
  public MDBDao getMdbDao() {
    return this.mdbDao;
  }
  
  public void setMdbDao(MDBDao mdbDao) {
    this.mdbDao = mdbDao;
  }
  
  public int parsingMdbNew(String filePath, String mdbPath) {
    int msg = 0;
    try {
      String wjsql_ = "select max(HANGBIAOSHI) HANGBIAOSHI from MDB_WENJIAN";
      int wjhbs = this.mdbWenJianDao.getMaxHangBiaoShi(wjsql_);
      String fjsql_ = "select max(HANGBIAOSHI) HANGBIAOSHI from MDB_WENJIANFUJIAN";
      int jfhbs = this.mdbWenJianFuJianDao.getMaxHangBiaoShi(fjsql_);
      Connection c = null;
      Statement s = null;
      Statement count = null;
      Class.forName("com.hxtt.sql.access.AccessDriver");
      c = DriverManager.getConnection("jdbc:Access:///" + mdbPath);
      count = c.createStatement();
      ResultSet rs = count.executeQuery("SELECT count(recid) geshu FROM archive_description_jh ");
      while (rs.next())
        msg = Integer.parseInt(rs.getString("geshu")); 
      s = c.createStatement();
      ResultSet r = s.executeQuery("SELECT recid,archive_no,maintitle,created_date,doc_no,fonds_no,filing_year,retention,piece_no,quantity,responsibleby,sbt_word,case_no FROM archive_description_jh order by piece_no asc");
      while (r.next()) {
        wjhbs += 4;
        byte[] dh = (byte[])null;
        String danghao = "";
        dh = r.getBytes(2);
        String DangHao = "";
        if (dh != null) {
          DangHao = formatData(new String(dh, "gbk"));
          danghao = formatDangHao(DangHao);
        } 
        byte[] bt = (byte[])null;
        String biaoti = "";
        bt = r.getBytes(3);
        if (bt != null) {
          biaoti = formatData(new String(bt, "gbk"));
          biaoti = biaoti.replaceAll("'", "").trim();
        } 
        byte[] rq = (byte[])null;
        String beiZhu = "";
        rq = r.getBytes(4);
        String rq_ = "";
        String chengwenriqi = "";
        if (rq != null) {
          rq_ = new String(rq, "gbk");
          System.out.println("源日期======================" + rq_);
          chengwenriqi = rq_;
        } 
        System.out.println("日期=" + chengwenriqi);
        byte[] wh = (byte[])null;
        String wenhao = "";
        wh = r.getBytes(5);
        if (wh != null)
          wenhao = formatData(new String(wh, "gbk")); 
        byte[] qzh = (byte[])null;
        String quanzonghao = "";
        qzh = r.getBytes(6);
        if (qzh != null)
          quanzonghao = formatData(new String(qzh, "gbk")); 
        String lijuandanweimingcheng = "";
        String quanzonghao_ = "";
        if (quanzonghao != "" && !quanzonghao.equals(quanzonghao_)) {
          quanzonghao_ = quanzonghao;
          String qzsql_ = "from GQuanZongWeiHu where QUANZONGHAO = '" + quanzonghao_ + "'";
          List<GQuanZongWeiHu> mingChengList = this.commonService.getListHQL(GQuanZongWeiHu.class, qzsql_);
          if (mingChengList.size() > 0)
            lijuandanweimingcheng = ((GQuanZongWeiHu)mingChengList.get(0)).getMingCheng(); 
        } 
        byte[] nd = (byte[])null;
        String niandu = "";
        Integer guidangniandu = Integer.valueOf(0);
        nd = r.getBytes(7);
        if (nd != null) {
          niandu = formatData(new String(nd, "gbk"));
          guidangniandu = Integer.valueOf(Integer.parseInt(niandu));
        } 
        byte[] bgqx = (byte[])null;
        String baoguanqixian = "";
        bgqx = r.getBytes(8);
        if (bgqx != null)
          baoguanqixian = formatBGQX(new String(bgqx, "gbk")); 
        byte[] xh = (byte[])null;
        String xuhao = "";
        Integer xuHao = Integer.valueOf(0);
        xh = r.getBytes(9);
        if (xh != null) {
          xuhao = formatData(new String(xh, "gbk"));
          xuHao = Integer.valueOf(Integer.parseInt(xuhao));
        } 
        byte[] ys = (byte[])null;
        String yeshu = "0";
        Integer yeShu = Integer.valueOf(0);
        ys = r.getBytes(10);
        if (ys != null) {
          yeshu = formatData(new String(ys, "gbk"));
          yeShu = Integer.valueOf(Integer.parseInt(yeshu));
        } 
        byte[] zrz = (byte[])null;
        String zerenzhe = "";
        zrz = r.getBytes(11);
        if (zrz != null)
          zerenzhe = formatData(new String(zrz, "gbk")); 
        byte[] gjz = (byte[])null;
        String guanjianci = "";
        gjz = r.getBytes(12);
        if (gjz != null)
          guanjianci = formatData(new String(gjz, "gbk")); 
        byte[] hh = (byte[])null;
        String hehao = "0";
        Integer heHao = Integer.valueOf(0);
        hh = r.getBytes(13);
        if (hh != null) {
          hehao = formatData(new String(hh, "gbk"));
          heHao = Integer.valueOf(Integer.parseInt(hehao));
        } 
        byte[] recid = (byte[])null;
        String beiyongzifu = "";
        recid = r.getBytes(1);
        if (recid != null)
          beiyongzifu = formatData(new String(recid, "gbk")); 
        String lishishujusql_ = "select  HANGBIAOSHI from D_WENJIAN where DANGHAO = '" + danghao + "' and BAOGUANQIXIAN= '" + baoguanqixian + "' and MENLEI='XWS'";
        List<?> list = this.mdbWenJianDao.getListSQL(lishishujusql_);
        System.out.println("是否文件重复=" + lishishujusql_.toString());
        int zhuangTai = 0;
        if (list.size() > 0)
          zhuangTai = 1; 
        int youyuanwen = 0;
        if (StringUtils.isNotBlank(beiyongzifu)) {
          String fjsql = "SELECT file_id ,page_no,file_type,file_loc,rec_id,file_name,version_no FROM is_files where tble_name='archive_description_jh' and rec_id = '" + beiyongzifu + "' order by field_name";
          ResultSet fj = c.createStatement().executeQuery(fjsql);
          String fuJianLuJing = StringUtil.dealBasePath(String.valueOf(quanzonghao) + File.separator + guidangniandu + File.separator + "XWS" + File.separator + baoguanqixian + File.separator + danghao + File.separator);
          int fujianxuhao = 0;
          while (fj.next()) {
            jfhbs += 4;
            fujianxuhao++;
            byte[] fjgs = (byte[])null;
            String fujiangeshi = "";
            fjgs = fj.getBytes(3);
            if (fjgs != null)
              fujiangeshi = formatData(new String(fjgs, "gbk")); 
            byte[] fjmc = (byte[])null;
            String fujianmingcheng = "";
            fjmc = fj.getBytes(1);
            if (fjmc != null)
              fujianmingcheng = formatData(new String(fjmc, "gbk")); 
            byte[] lj = (byte[])null;
            String fujianlujing = "";
            lj = fj.getBytes(4);
            if (lj != null)
              fujianlujing = formatData(new String(lj, "gbk")); 
            byte[] fjys = (byte[])null;
            String fujianyeshu = "";
            Integer fjyeshu = Integer.valueOf(0);
            fjys = fj.getBytes(2);
            if (ys != null) {
              fujianyeshu = formatData(new String(fjys));
              fjyeshu = Integer.valueOf(Integer.parseInt(fujianyeshu));
            } 
            int fujianleixing = 5;
            byte[] fjlx = (byte[])null;
            String fjlx_ = "";
            fjlx = fj.getBytes(6);
            if (fjlx != null) {
              fjlx_ = formatData(new String(fjlx, "gbk"));
              String[] lx = fjlx_.split("-");
              if (lx.length > 1) {
                try {
                  String flx = "";
                  if (lx[1].indexOf(".") >= 0) {
                    flx = lx[1].substring(0, lx[1].lastIndexOf("."));
                    fujianleixing = Integer.parseInt(flx);
                  } else {
                    fujianleixing = Integer.parseInt(lx[1]);
                  } 
                } catch (Exception exception) {}
              } else {
                fujianleixing = 1;
              } 
            } 
            byte[] ywjm = (byte[])null;
            String yuanfujianmingcheng = "";
            ywjm = fj.getBytes(6);
            if (ywjm != null)
              yuanfujianmingcheng = formatData(new String(ywjm, "gbk")); 
            if (StringUtils.isNotBlank(fujianlujing) && (fujiangeshi.equals("tif") || fujiangeshi.equals("TIF") || fujiangeshi.equals("doc") || fujiangeshi.equals("DOC") || fujiangeshi.equals("docx") || fujiangeshi.equals("DOCX") || fujiangeshi.equals("pdf") || fujiangeshi.equals("PDF"))) {
              String jisuanjiwenjianming = String.valueOf(danghao) + "_" + fujianxuhao + ".pdf";
              jisuanjiwenjianming = jisuanjiwenjianming.replace("·", "-");
              String yuanWenJianLuJing = StringUtil.dealBasePath(String.valueOf(filePath) + fujianlujing + fujianmingcheng + "." + fujiangeshi);
              String cunfanglujing = StringUtil.dealBasePath(String.valueOf(quanzonghao) + File.separator + guidangniandu + File.separator + "XWS" + File.separator + baoguanqixian + File.separator + danghao + File.separator).replace("·", "-");
              MDBWenJianFuJian wjfj = new MDBWenJianFuJian();
              wjfj.setHangBiaoShi(Integer.valueOf(jfhbs));
              wjfj.setGuanLianBiaoShi(Integer.valueOf(wjhbs));
              wjfj.setBiaoTi(biaoti);
              wjfj.setBeiYongZiFu(yuanWenJianLuJing);
              wjfj.setCunFangLuJing(cunfanglujing);
              wjfj.setCiXu(Integer.valueOf(fujianxuhao));
              wjfj.setFuJianLeiXing(String.valueOf(fujianleixing));
              wjfj.setJiSuanJiWenJianMing(jisuanjiwenjianming);
              wjfj.setYuanWenJianMing(yuanfujianmingcheng);
              wjfj.setWenJianGeShi(fujiangeshi);
              wjfj.setSaoMiaoSeCaiMoShi(Integer.valueOf(0));
              wjfj.setTuXiangYaSuoFangAn(Integer.valueOf(0));
              wjfj.setYeShu(Integer.valueOf(yeshu));
              wjfj.setFuJianLaiYuan(Integer.valueOf(0));
              wjfj.setJinJiChengDu(Integer.valueOf(0));
              wjfj.setBeiYongZi(Integer.valueOf(1));
              wjfj.setChangQiBaoCunBiaoShi("1");
              wjfj.setSuoYinZhuangTai(Integer.valueOf(0));
              this.mdbWenJianFuJianDao.save(wjfj);
            } 
          } 
          System.out.println("附件总个数=" + fujianxuhao);
        } 
        MDBWenJian wj = new MDBWenJian();
        wj.setHangBiaoShi(Integer.valueOf(wjhbs));
        wj.setDangHao(danghao);
        wj.setXuHao(xuHao);
        wj.setWenHao(wenhao);
        wj.setZeRenZhe(zerenzhe);
        wj.setBiaoTi(biaoti);
        wj.setYeShu(yeShu);
        String cwrq = formatriqi(chengwenriqi);
        if (StringUtils.isNotBlank(cwrq)) {
          SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd");
          Date date = df.parse(cwrq);
          wj.setDengJiShiJian(date);
        } 
        wj.setChengWenRiQi(chengwenriqi);
        wj.setGuiDangNianDu(guidangniandu);
        wj.setBaoGuanQiXian(baoguanqixian);
        wj.setQuanZongHao(quanzonghao);
        wj.setFenShu(Integer.valueOf(1));
        wj.setGuiDangLeiXing(Integer.valueOf(2));
        wj.setShuJuLaiYuan(Integer.valueOf(3));
        wj.setSiXingJianChaBiaoShi("0|0|0|0");
        wj.setYouYuanWen(Integer.valueOf(youyuanwen));
        wj.setKaiFangZhuangTai(Integer.valueOf(0));
        wj.setJieYueZhuangTai(Integer.valueOf(0));
        wj.setMenLei("XWS");
        wj.setZhuangTai(Integer.valueOf(zhuangTai));
        wj.setLiJuanDanWeiMingCheng(lijuandanweimingcheng);
        wj.setGuanJianCi(guanjianci);
        wj.setBeiZhu(beiZhu);
        wj.setBeiYongZi(heHao);
        this.mdbWenJianDao.saveOrUpdate(wj);
      } 
      c.close();
      s.close();
      count.close();
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return msg;
  }
  
  public ResultMessage importDate(HttpServletRequest request, HttpServletResponse response, User user, String quanZongHao) {
    ResultMessage rm = new ResultMessage();
    rm.setSuccess(false);
    Integer heSum = Integer.valueOf(0);
    Integer wjSum = Integer.valueOf(0);
    Integer fjSum = Integer.valueOf(0);
    try {
      String gdnd = request.getParameter("guiDangNianDu");
      String bgqx = request.getParameter("baoGuanQiXian");
      String nd = request.getParameter("nd");
      String check = request.getParameter("check");
      String xtlx = AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING");
      String UPLOAD_DIR = String.valueOf(AppConfiguration.getConfigValue("OACaiJiPath")) + "/temp/";
      StringBuffer wjsql = new StringBuffer("FROM MDBWenJian where 1=1 ");
      String wjsql_ = "select max(HANGBIAOSHI) HANGBIAOSHI from D_WENJIAN";
      int wjhbs = this.mdbWenJianDao.getMaxHangBiaoShi(wjsql_);
      String fjsql_ = "select max(HANGBIAOSHI) HANGBIAOSHI from D_WENJIANFUJIAN";
      int jfhbs = this.mdbWenJianDao.getMaxHangBiaoShi(fjsql_);
      if (StringUtils.isNotBlank(gdnd))
        if (StringUtils.isNotBlank(nd)) {
          wjsql.append(" and guiDangNianDu").append(nd).append(gdnd);
        } else {
          wjsql.append(" and guiDangNianDu=").append(gdnd);
        }  
      if (StringUtils.isNotBlank(bgqx))
        wjsql.append(" and baoGuanQiXian='").append(bgqx).append("'"); 
      List<MDBWenJian> mdbWenJianList = this.mdbWenJianDao.getListHQL(MDBWenJian.class, wjsql.toString());
      if (mdbWenJianList.size() > 0) {
        FtpConfig ftpconfig = getFtpAccInfo(quanZongHao);
        for (MDBWenJian mdbWenJian : mdbWenJianList) {
          Integer youyuanwen = Integer.valueOf(0);
          wjhbs += 4;
          if ("1".equals(mdbWenJian.getZhuangTai().toString()))
            if (check.equals("1")) {
              String delwenjian = "delete from D_WenJian where DANGHAO = '" + mdbWenJian.getDangHao() + "' and BAOGUANQIXIAN= '" + mdbWenJian.getBaoGuanQiXian() + "' and MENLEI='XWS'";
              String delwenjianfujian = "delete from D_WenJianFuJian where guanLianBiaoShi in (select hangBiaoShi from D_WenJian where DANGHAO = '" + mdbWenJian.getDangHao() + "' and BAOGUANQIXIAN= '" + mdbWenJian.getBaoGuanQiXian() + "' and MENLEI='XWS')";
              this.commonService.deletSQL(delwenjian);
              this.commonService.deletSQL(delwenjianfujian);
            } else if (check.equals("0")) {
              continue;
            }  
          String mwjJson = Json.bean2Json(mdbWenJian);
          ZWenJian zwj = (ZWenJian)Json.Json2Been(mwjJson, ZWenJian.class);
          Integer hehao = zwj.getBeiYongZi();
          if (hehao != null && hehao.intValue() != 0) {
            String hsql = "select max(HANGBIAOSHI) HANGBIAOSHI from d_danganhe where QUANZONGHAO='" + zwj.getQuanZongHao() + "' ";
            String fs_sql = "SELECT count(*) NUM FROM MDB_WENJIAN  where QUANZONGHAO='" + zwj.getQuanZongHao() + "' and BEIYONGZI=" + hehao;
            String ys_sql = "SELECT SUM(YESHU) NUM FROM MDB_WENJIAN  where QUANZONGHAO='" + zwj.getQuanZongHao() + "' and BEIYONGZI=" + hehao;
            Integer guidnd = zwj.getGuiDangNianDu();
            String baogqx = zwj.getBaoGuanQiXian();
            if (guidnd.intValue() >= 2001 && guidnd.intValue() <= 2006) {
              hsql = String.valueOf(hsql) + " and GUIDANGNIANDU in (2001,2002,2003,2004,2005,2006)";
              fs_sql = String.valueOf(fs_sql) + " and GUIDANGNIANDU in (2001,2002,2003,2004,2005,2006)";
              ys_sql = String.valueOf(ys_sql) + " and GUIDANGNIANDU in (2001,2002,2003,2004,2005,2006)";
            } else if (guidnd.intValue() >= 2007 && guidnd.intValue() <= 2015) {
              hsql = String.valueOf(hsql) + " and GUIDANGNIANDU in (2007,2008,2009,2010,2011,2012,2013,2014,2015) and BAOGUANQIXIAN='" + zwj.getBaoGuanQiXian() + "'";
              fs_sql = String.valueOf(fs_sql) + " and GUIDANGNIANDU in (2007,2008,2009,2010,2011,2012,2013,2014,2015) and BAOGUANQIXIAN='" + zwj.getBaoGuanQiXian() + "'";
              ys_sql = String.valueOf(ys_sql) + " and GUIDANGNIANDU in (2007,2008,2009,2010,2011,2012,2013,2014,2015) and BAOGUANQIXIAN='" + zwj.getBaoGuanQiXian() + "'";
            } else {
              hsql = String.valueOf(hsql) + " and GUIDANGNIANDU >= 2016 and BAOGUANQIXIAN='" + zwj.getBaoGuanQiXian() + "'";
              fs_sql = String.valueOf(fs_sql) + " and GUIDANGNIANDU >= 2016 and BAOGUANQIXIAN='" + zwj.getBaoGuanQiXian() + "'";
              ys_sql = String.valueOf(ys_sql) + " and GUIDANGNIANDU >= 2016 and BAOGUANQIXIAN='" + zwj.getBaoGuanQiXian() + "'";
            } 
            if ("2".equals(xtlx)) {
              hsql = String.valueOf(hsql) + " and XUHAO=" + hehao;
            } else {
              hsql = String.valueOf(hsql) + " and GUANBIANHEHAO= '" + hehao + "'";
            } 
            int hehbs = this.mdbWenJianDao.getMaxHangBiaoShi(hsql);
            if (hehbs == 0) {
              heSum = Integer.valueOf(heSum.intValue() + 1);
              try {
                hehbs = this.commonService.getPk("D_DANGANHE");
                Integer fs = Integer.valueOf(this.mdbWenJianDao.getMaxHangBiaoShi(fs_sql));
                Integer ys = Integer.valueOf(this.mdbWenJianDao.getMaxHangBiaoShi(ys_sql));
                if ("2".equals(xtlx)) {
                  StringBuffer heint = (new StringBuffer("INSERT INTO D_DANGANHE (HANGBIAOSHI,guanBianHeHao,GUIDANGNIANDU,QUANZONGHAO,XUHAO,MENLEI,ZONGYESHU,FENSHU,HERONGLIANG,ZHUANGTAI,RUKUFANGZHUANGTAI,JIANDINGZHUANGTAI,BAOGUANQIXIAN) VALUES(")).append(hehbs).append(",'").append(hehao).append("',")
                    .append(zwj.getGuiDangNianDu()).append(",'").append(zwj.getQuanZongHao()).append("',").append(hehao).append(",'").append("XWS")
                    .append("',").append(ys).append(",").append(fs).append(",300,1,0,0,'").append(baogqx).append("')");
                  this.mdbWenJianDao.update(heint.toString());
                } else {
                  StringBuffer heint = (new StringBuffer("INSERT INTO D_DANGANHE (HANGBIAOSHI,guanBianHeHao,GUIDANGNIANDU,QUANZONGHAO,MENLEI,ZONGYESHU,FENSHU,HERONGLIANG,ZHUANGTAI,RUKUFANGZHUANGTAI,JIANDINGZHUANGTAI,BAOGUANQIXIAN) VALUES(")).append(hehbs).append(",'").append(hehao).append("',")
                    .append(zwj.getGuiDangNianDu()).append(",'").append(zwj.getQuanZongHao()).append("','").append("XWS")
                    .append("',").append(ys).append(",").append(fs).append(",300,1,0,0,'").append(baogqx).append("')");
                  this.mdbWenJianDao.update(heint.toString());
                } 
              } catch (Exception e) {
                e.printStackTrace();
                rm.setInfo("插入盒遇到问题！");
                return rm;
              } 
            } 
            zwj.setGuanLianBiaoShi(Integer.valueOf(hehbs));
          } else {
            zwj.setGuanLianBiaoShi(Integer.valueOf(0));
          } 
          int wjhbs_ = wjhbs;
          zwj.setHangBiaoShi(Integer.valueOf(wjhbs_));
          if (xtlx.equals("2") || hehao.intValue() > 0) {
            zwj.setZhuangTai(Integer.valueOf(1));
          } else {
            zwj.setZhuangTai(Integer.valueOf(2));
          } 
          zwj.setFenShu(Integer.valueOf(1));
          zwj.setGuiDangLeiXing(Integer.valueOf(2));
          zwj.setShuJuLaiYuan(Integer.valueOf(3));
          zwj.setSiXingJianChaBiaoShi("0|0|0|0");
          zwj.setKaiFangZhuangTai(Integer.valueOf(0));
          zwj.setJieYueZhuangTai(Integer.valueOf(0));
          zwj.setMenLei("XWS");
          String fjsql = "FROM MDBWenJianFuJian where guanLianBiaoShi =  " + mdbWenJian.getHangBiaoShi();
          List<MDBWenJianFuJian> mdbWenJianFuJianList = this.mdbWenJianFuJianDao.getListHQL(MDBWenJianFuJian.class, fjsql);
          if (mdbWenJianFuJianList.size() > 0)
            for (MDBWenJianFuJian mdbWenJianFuJian : mdbWenJianFuJianList) {
              jfhbs += 4;
              String mwjfjJson = Json.bean2Json(mdbWenJianFuJian);
              ZWenJianFuJian zwjfj = (ZWenJianFuJian)Json.Json2Been(mwjfjJson, ZWenJianFuJian.class);
              String wenJianGeShi = mdbWenJianFuJian.getWenJianGeShi();
              String yuanWenJianLuJing = StringUtil.dealBasePath(mdbWenJianFuJian.getBeiYongZiFu().replace("·", "-"));
              String fjlj = mdbWenJianFuJian.getCunFangLuJing().replaceAll("·", "-");
              String jsjwjm = mdbWenJianFuJian.getJiSuanJiWenJianMing().replaceAll("·", "-");
              String cflj = StringUtil.dealBasePath(mdbWenJianFuJian.getCunFangLuJing().replaceAll("·", "-"));
              if (wenJianGeShi.equals("tif") || wenJianGeShi.equals("TIF")) {
                try {
                  String pdfPath = String.valueOf(UPLOAD_DIR) + quanZongHao + File.separator + cflj + jsjwjm;
                  TifToPdf.tifToPdf(yuanWenJianLuJing, pdfPath);
                  try {
                    boolean sc = uploadFtp(ftpconfig, fjlj, pdfPath, jsjwjm);
                    if (sc) {
                      youyuanwen = Integer.valueOf(1);
                    } else {
                      youyuanwen = Integer.valueOf(0);
                    } 
                  } catch (Exception e) {
                    e.printStackTrace();
                    youyuanwen = Integer.valueOf(0);
                  } 
                } catch (Exception e) {
                  e.printStackTrace();
                  youyuanwen = Integer.valueOf(0);
                } 
              } else if (wenJianGeShi.equals("doc") || wenJianGeShi.equals("docx") || wenJianGeShi.equals("DOC") || wenJianGeShi.equals("DOCX")) {
                try {
                  String pdfPath = String.valueOf(UPLOAD_DIR) + quanZongHao + File.separator + cflj + jsjwjm;
                  Word2Pdf.doc2pdf(yuanWenJianLuJing, pdfPath);
                  try {
                    boolean sc = uploadFtp(ftpconfig, fjlj, pdfPath, jsjwjm);
                    if (sc) {
                      youyuanwen = Integer.valueOf(1);
                    } else {
                      youyuanwen = Integer.valueOf(0);
                    } 
                  } catch (Exception e) {
                    e.printStackTrace();
                    youyuanwen = Integer.valueOf(0);
                  } 
                } catch (Exception e) {
                  e.printStackTrace();
                  youyuanwen = Integer.valueOf(0);
                } 
              } else {
                try {
                  try {
                    boolean sc = uploadFtp(ftpconfig, fjlj, yuanWenJianLuJing, jsjwjm);
                    if (sc) {
                      youyuanwen = Integer.valueOf(1);
                    } else {
                      youyuanwen = Integer.valueOf(0);
                    } 
                  } catch (Exception e) {
                    e.printStackTrace();
                    youyuanwen = Integer.valueOf(0);
                  } 
                } catch (Exception e) {
                  e.printStackTrace();
                  youyuanwen = Integer.valueOf(0);
                } 
              } 
              int fjhbs_ = jfhbs;
              zwjfj.setHangBiaoShi(Integer.valueOf(fjhbs_));
              zwjfj.setGuanLianBiaoShi(Integer.valueOf(wjhbs));
              zwjfj.setSaoMiaoSeCaiMoShi(Integer.valueOf(0));
              zwjfj.setTuXiangYaSuoFangAn(Integer.valueOf(0));
              zwjfj.setFuJianLaiYuan(Integer.valueOf(0));
              zwjfj.setJinJiChengDu(Integer.valueOf(0));
              zwjfj.setBeiYongZi(Integer.valueOf(1));
              zwjfj.setChangQiBaoCunBiaoShi("1");
              zwjfj.setSuoYinZhuangTai(Integer.valueOf(0));
              zwjfj.setWenJianGeShi("pdf");
              zwjfj.setBeiYongZiFu(String.valueOf(zwjfj.getCunFangLuJing()) + zwjfj.getJiSuanJiWenJianMing());
              this.mdbDao.saveWenJianFuJian(zwjfj);
              fjSum = Integer.valueOf(fjSum.intValue() + 1);
            }  
          zwj.setBeiYongZi(Integer.valueOf(0));
          zwj.setYouYuanWen(youyuanwen);
          this.mdbDao.saveWenJian(zwj);
          wjSum = Integer.valueOf(wjSum.intValue() + 1);
        } 
      } 
      rm.setSuccess(true);
      rm.setInfo("移交完成，移交盒:" + heSum + " 条, 文件:" + wjSum + " 条, 附件:" + fjSum + " 条.");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return rm;
  }
  
  private static String formatData(String str) {
    String result = str;
    if (StringUtils.isBlank(str))
      result = ""; 
    return result;
  }
  
  private static String formatBGQX(String gbqx) {
    String qx = "";
    if (StringUtils.isNoneBlank(new CharSequence[] { gbqx })) {
      if (gbqx.contains("永久")) {
        qx = "Y";
      } else if (gbqx.contains("30年")) {
        qx = "D30";
      } else if (gbqx.contains("10年")) {
        qx = "D10";
      } else if (gbqx.contains("长久")) {
        qx = "CY";
      } else if (gbqx.contains("定期")) {
        qx = "DQ";
      } else if (gbqx.contains("长期")) {
        qx = "CQ";
      } else {
        qx = "";
      } 
    } else {
      qx = "";
    } 
    return qx;
  }
  
  public String formatDangHao(String dangHao) {
    String danghao = dangHao.replaceAll("永久", "Y").replaceAll("30年", "D30")
      .replaceAll("定期", "DQ").replaceAll("长久", "CY").replaceAll("10年", "D10").replaceAll("长期", "CQ");
    return danghao;
  }
  
  public String DangHaoFormat(String dangHao) {
    String danghao = dangHao.replaceAll("Y", "永久").replaceAll("D30", "30年")
      .replaceAll("DQ", "定期").replaceAll("CY", "长久").replaceAll("D10", "10年").replaceAll("CQ", "长期");
    return danghao;
  }
  
  private static String formatriqi(String riqi) {
    if (isDate(riqi)) {
      if (riqi.length() == 4) {
        riqi = String.valueOf(riqi) + "0101";
        String nian = riqi.substring(0, 4);
        String yue = riqi.substring(4, 6);
        String ri = riqi.substring(6, riqi.length());
        riqi = String.valueOf(nian) + "-" + yue + "-" + ri;
      } 
      if (riqi.length() == 6)
        if (riqi.indexOf("-") > 0) {
          riqi = String.valueOf(riqi) + "-1";
        } else {
          riqi = String.valueOf(riqi) + "01";
          String nian = riqi.substring(0, 4);
          String yue = riqi.substring(4, 6);
          int y = Integer.parseInt(yue);
          if (y == 0 || y > 12)
            yue = "01"; 
          String ri = riqi.substring(6, riqi.length());
          riqi = String.valueOf(nian) + "-" + yue + "-" + ri;
        }  
      if (riqi.length() == 7)
        if (riqi.indexOf("-") > 0) {
          riqi = String.valueOf(riqi) + "-1";
        } else {
          riqi = "";
        }  
      if (riqi.length() == 8 && 
        riqi.indexOf("-") <= 0) {
        String nian = riqi.substring(0, 4);
        String yue = riqi.substring(4, 6);
        int y = Integer.parseInt(yue);
        if (y == 0 || y > 12)
          yue = "01"; 
        String ri = riqi.substring(6, riqi.length());
        int r = Integer.parseInt(ri);
        if (r == 0 || r > 12)
          ri = "01"; 
        riqi = String.valueOf(nian) + "-" + yue + "-" + ri;
      } 
      if (riqi.length() > 10)
        riqi = ""; 
    } else {
      riqi = "";
    } 
    return riqi;
  }
  
  public static boolean isDate(String riqi) {
    Pattern pattern = 
      Pattern.compile("^((\\d{2}(([02468][048])|([13579][26]))[\\-\\/\\s]?((((0?[13578])|(1[02]))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(3[01])))|(((0?[469])|(11))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(30)))|(0?2[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])))))|(\\d{2}(([02468][1235679])|([13579][01345789]))[\\-\\/\\s]?((((0?[13578])|(1[02]))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(3[01])))|(((0?[469])|(11))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(30)))|(0?2[\\-\\/\\s]?((0?[1-9])|(1[0-9])|(2[0-8]))))))(\\s(((0?[0-9])|([1-2][0-3]))\\:([0-5]?[0-9])((\\s)|(\\:([0-5]?[0-9])))))?$");
    Matcher m = pattern.matcher(riqi);
    if (m.matches() && riqi.length() == 8)
      return true; 
    System.out.println("此日期格式有误");
    return false;
  }
  
  public FtpConfig getFtpAccInfo(String quanZongHao) {
    String ftpsql = "select yongHuMing,yongHuMiMa,DUANKOU,FUWUQI from T_FTPCONFIG where quanZongHao='" + quanZongHao + "'";
    List<Object[]> list = this.commonService.getList(ftpsql);
    FtpConfig config = new FtpConfig();
    if (list != null && list.size() > 0) {
      Object[] objects = list.get(0);
      config.setUsername(objects[0].toString());
      config.setPassword(objects[1].toString());
      config.setPort((new Integer(objects[2].toString())).intValue());
      config.setServer(objects[3].toString());
    } 
    return config;
  }
  
  private boolean uploadFtp(FtpConfig ftpconfig, String muLu, String oldFile, String newFileName) {
    boolean ftp = false;
    FtpUtil ftpUtil = null;
    try {
      ftpUtil = new FtpUtil();
      ftpUtil.connectServer(ftpconfig);
      boolean b = ftpUtil.createMultiDirectory(muLu);
      if (b) {
        File file = new File(oldFile);
        if (file.exists()) {
          String newFile = new String(newFileName.getBytes("UTF-8"), "iso-8859-1");
          ftp = ftpUtil.uploadFile(oldFile, newFile);
        } 
      } 
    } catch (Exception e) {
      e.printStackTrace();
    } finally {
      try {
        ftpUtil.closeServer();
      } catch (IOException e) {
        e.printStackTrace();
      } 
    } 
    return ftp;
  }
  
  public void deleteMdb() {
    String deldanganhe = "delete from MDB_DangAnHe ";
    String delanjuan = "delete from MDB_AnJuan ";
    String delwenjian = "delete from MDB_WenJian ";
    String delwenjianfujian = "delete from MDB_WenJianFuJian ";
    this.mdbWenJianDao.deletSQL(deldanganhe);
    this.mdbWenJianDao.deletSQL(delanjuan);
    this.mdbWenJianDao.deletSQL(delwenjian);
    this.mdbWenJianFuJianDao.deletSQL(delwenjianfujian);
  }
}
